Conda env update error on Paperspace


(Srinivas Raman) #1

After a new git pull of the fast ai libraries I went on to execute conda env update from
my paperspace account and I got the following error dump.

This is where the problem begins:
Exception: Traceback (most recent call last): File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/ init .py”, line 2869, in _dep_map return self.__dep_map File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/ init .py”, line 2663, in getattr raise AttributeError(attr) AttributeError: _DistInfoDistribution__dep_map

Am now unable to invoke jupyter notebook

Any thoughts or suggestions to try?

Using Anaconda API: https://api.anaconda.org Fetching package metadata … Solving package specifications: . Requirement already satisfied: torchvision>=0.1.9 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/torchvision-0.2.0-py3.6.egg (0.2.0) Requirement already satisfied: opencv-python in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (3.4.0.12) Requirement already satisfied: isoweek in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (1.3.3) Requirement already satisfied: pandas_summary==0.0.5 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (0.0.5) Requirement already satisfied: torchtext in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (0.2.1) Requirement already satisfied: graphviz in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (0.8.2) Requirement already satisfied: sklearn_pandas in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (1.6.0) Requirement already satisfied: feather-format in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (0.4.0) Requirement already satisfied: plotnine in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (0.3.0) Requirement already satisfied: kaggle-cli in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (0.12.13) Requirement already satisfied: ipywidgets in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (7.4.2) Requirement already satisfied: numpy in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from torchvision>=0.1.9) (1.15.2) Requirement already satisfied: pillow>=4.1.1 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from torchvision>=0.1.9) (5.2.0) Requirement already satisfied: six in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from torchvision>=0.1.9) (1.11.0) Requirement already satisfied: torch in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from torchvision>=0.1.9) (0.3.1.post2) Requirement already satisfied: pandas in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from pandas_summary==0.0.5) (0.23.4) Requirement already satisfied: requests in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from torchtext) (2.18.4) Requirement already satisfied: tqdm in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from torchtext) (4.26.0) Requirement already satisfied: scikit-learn>=0.15.0 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from sklearn_pandas) (0.19.1) Requirement already satisfied: scipy>=0.14 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from sklearn_pandas) (1.1.0) Requirement already satisfied: pyarrow>=0.4.0 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from feather-format) (0.8.0) Requirement already satisfied: matplotlib>=2.1.0 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from plotnine) (3.0.0) Requirement already satisfied: mizani>=0.4.1 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from plotnine) (0.4.4) Requirement already satisfied: patsy>=0.4.1 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from plotnine) (0.5.0) Requirement already satisfied: statsmodels>=0.8.0 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from plotnine) (0.9.0) Requirement already satisfied: cssselect<1.1,>=1.0.1 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from kaggle-cli) (1.0.3) Requirement already satisfied: lxml<4.1,>=4.0.0 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from kaggle-cli) (4.0.0) Requirement already satisfied: beautifulsoup4<4.7,>=4.6.0 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from kaggle-cli) (4.6.0) Requirement already satisfied: MechanicalSoup<0.9,>=0.7.0 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from kaggle-cli) (0.8.0) Requirement already satisfied: progressbar2<3.35,>=3.34.3 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from kaggle-cli) (3.34.3) Requirement already satisfied: configparser in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from kaggle-cli) (3.5.0) Requirement already satisfied: cliff<2.9,>=2.8.0 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from kaggle-cli) (2.8.0) Requirement already satisfied: widgetsnbextension~=3.4.0 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from ipywidgets) (3.4.2) Requirement already satisfied: ipykernel>=4.5.1 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from ipywidgets) (5.0.0) Requirement already satisfied: traitlets>=4.3.1 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from ipywidgets) (4.3.2) Requirement already satisfied: ipython>=4.0.0; python_version >= “3.3” in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from ipywidgets) (6.5.0) Requirement already satisfied: nbformat>=4.2.0 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from ipywidgets) (4.4.0) Requirement already satisfied: pyyaml in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from torch->torchvision>=0.1.9) (3.12) Requirement already satisfied: python-dateutil>=2.5.0 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from pandas->pandas_summary==0.0.5) (2.7.3) Requirement already satisfied: pytz>=2011k in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from pandas->pandas_summary==0.0.5) (2018.5) Requirement already satisfied: chardet<3.1.0,>=3.0.2 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from requests->torchtext) (3.0.4) Requirement already satisfied: idna<2.7,>=2.5 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from requests->torchtext) (2.6) Requirement already satisfied: urllib3<1.23,>=1.21.1 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from requests->torchtext) (1.22) Requirement already satisfied: certifi>=2017.4.17 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from requests->torchtext) (2018.8.24) Requirement already satisfied: cycler>=0.10 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from matplotlib>=2.1.0->plotnine) (0.10.0) Requirement already satisfied: kiwisolver>=1.0.1 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from matplotlib>=2.1.0->plotnine) (1.0.1) Requirement already satisfied: pyparsing!=2.0.4,!=2.1.2,!=2.1.6,>=2.0.1 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from matplotlib>=2.1.0->plotnine) (2.2.1) Requirement already satisfied: palettable in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from mizani>=0.4.1->plotnine) (3.1.0) Requirement already satisfied: python-utils>=2.1.0 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from progressbar2<3.35,>=3.34.3->kaggle-cli) (2.2.0) Requirement already satisfied: cmd2>=0.6.7 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from cliff<2.9,>=2.8.0->kaggle-cli) (0.7.9) Requirement already satisfied: stevedore>=1.20.0 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from cliff<2.9,>=2.8.0->kaggle-cli) (1.28.0) Requirement already satisfied: PrettyTable<0.8,>=0.7.1 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from cliff<2.9,>=2.8.0->kaggle-cli) (0.7.2) Requirement already satisfied: pbr!=2.1.0,>=2.0.0 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from cliff<2.9,>=2.8.0->kaggle-cli) (3.1.1) Requirement already satisfied: notebook>=4.4.1 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from widgetsnbextension~=3.4.0->ipywidgets) (5.7.0) Requirement already satisfied: jupyter_client in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from ipykernel>=4.5.1->ipywidgets) (5.2.3) Requirement already satisfied: tornado>=4.2 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from ipykernel>=4.5.1->ipywidgets) (4.5.3) Requirement already satisfied: decorator in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from traitlets>=4.3.1->ipywidgets) (4.3.0) Requirement already satisfied: ipython-genutils in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from traitlets>=4.3.1->ipywidgets) (0.2.0) Requirement already satisfied: simplegeneric>0.8 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from ipython>=4.0.0; python_version >= “3.3”->ipywidgets) (0.8.1) Requirement already satisfied: prompt-toolkit<2.0.0,>=1.0.15 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from ipython>=4.0.0; python_version >= “3.3”->ipywidgets) (1.0.15) Requirement already satisfied: backcall in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from ipython>=4.0.0; python_version >= “3.3”->ipywidgets) (0.1.0) Requirement already satisfied: pexpect; sys_platform != “win32” in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from ipython>=4.0.0; python_version >= “3.3”->ipywidgets) (4.6.0) Requirement already satisfied: jedi>=0.10 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from ipython>=4.0.0; python_version >= “3.3”->ipywidgets) (0.12.1) Requirement already satisfied: setuptools>=18.5 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from ipython>=4.0.0; python_version >= “3.3”->ipywidgets) (40.4.0) Requirement already satisfied: pickleshare in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from ipython>=4.0.0; python_version >= “3.3”->ipywidgets) (0.7.5) Requirement already satisfied: pygments in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from ipython>=4.0.0; python_version >= “3.3”->ipywidgets) (2.2.0) Requirement already satisfied: jsonschema!=2.5.0,>=2.4 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from nbformat>=4.2.0->ipywidgets) (2.6.0) Requirement already satisfied: jupyter_core in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from nbformat>=4.2.0->ipywidgets) (4.4.0) Requirement already satisfied: pyperclip in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from cmd2>=0.6.7->cliff<2.9,>=2.8.0->kaggle-cli) (1.6.0) Requirement already satisfied: jinja2 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets) (2.10) Requirement already satisfied: pyzmq>=17 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets) (17.1.2) Requirement already satisfied: nbconvert in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets) (5.4.0) Requirement already satisfied: Send2Trash in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets) (1.5.0) Requirement already satisfied: terminado>=0.8.1 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets) (0.8.1) Requirement already satisfied: prometheus_client in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets) (0.3.0) Requirement already satisfied: wcwidth in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from prompt-toolkit<2.0.0,>=1.0.15->ipython>=4.0.0; python_version >= “3.3”->ipywidgets) (0.1.7) Requirement already satisfied: ptyprocess>=0.5 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from pexpect; sys_platform != “win32”->ipython>=4.0.0; python_version >= “3.3”->ipywidgets) (0.5.2) Requirement already satisfied: parso>=0.3.0 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from jedi>=0.10->ipython>=4.0.0; python_version >= “3.3”->ipywidgets) (0.3.1) Requirement already satisfied: MarkupSafe>=0.23 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from jinja2->notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets) (1.0) Requirement already satisfied: mistune>=0.8.1 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets) (0.8.3) Requirement already satisfied: entrypoints>=0.2.2 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets) (0.2.3) Requirement already satisfied: bleach in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets) (2.1.4) Requirement already satisfied: pandocfilters>=1.4.1 in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets) (1.4.2) Requirement already satisfied: testpath in /home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets) (0.4.1) Exception: Traceback (most recent call last): File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2869, in _dep_map return self.__dep_map File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2663, in getattr raise AttributeError(attr) AttributeError: _DistInfoDistribution__dep_map During handling of the above exception, another exception occurred: Traceback (most recent call last): File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/packaging/requirements.py”, line 93, in init req = REQUIREMENT.parseString(requirement_string) File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pyparsing.py”, line 1632, in parseString raise exc File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pyparsing.py”, line 1622, in parseString loc, tokens = self._parse( instring, 0 ) File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pyparsing.py”, line 1379, in _parseNoCache loc,tokens = self.parseImpl( instring, preloc, doActions ) File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pyparsing.py”, line 3395, in parseImpl loc, exprtokens = e._parse( instring, loc, doActions ) File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pyparsing.py”, line 1383, in _parseNoCache loc,tokens = self.parseImpl( instring, preloc, doActions ) File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pyparsing.py”, line 3183, in parseImpl raise ParseException(instring, loc, self.errmsg, self) pip._vendor.pyparsing.ParseException: Expected stringEnd (at char 33), (line:1, col:34) During handling of the above exception, another exception occurred: Traceback (most recent call last): File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2949, in init super(Requirement, self).init(requirement_string) File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/packaging/requirements.py”, line 97, in init requirement_string[e.loc:e.loc + 8])) pip._vendor.packaging.requirements.InvalidRequirement: Invalid requirement, parse error at “’; extra '” During handling of the above exception, another exception occurred: Traceback (most recent call last): File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_internal/basecommand.py”, line 141, in main status = self.run(options, args) File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_internal/commands/install.py”, line 299, in run resolver.resolve(requirement_set) File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_internal/resolve.py”, line 102, in resolve self._resolve_one(requirement_set, req) File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_internal/resolve.py”, line 306, in _resolve_one set(req_to_install.extras) - set(dist.extras) File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2826, in extras return [dep for dep in self._dep_map if dep] File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2871, in _dep_map self.__dep_map = self._compute_dependencies() File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2881, in _compute_dependencies reqs.extend(parse_requirements(req)) File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2942, in parse_requirements yield Requirement(line) File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2951, in init raise RequirementParseError(str(e)) pip._vendor.pkg_resources.RequirementParseError: Invalid requirement, parse error at “’; extra '” CondaValueError: pip returned an error.


Issues with 'conda env update'
Issues with 'conda env update'
(Gary Allison) #2

I’m having same problem. Can’t even run jupyter now. I think this is the same problem as Issues with ‘conda env update’.


(Tom Johannes) #3

Same error as well, specifically:

pip._vendor.pkg_resources.RequirementParseError: Invalid requirement, parse error at “’; extra '”

At the end. Is the problem on the FastAI or python end?


(Wayne Nixalo) #4

Ooo, I’ve been working at this.

I think I found a hack that fixes this. Basically what you do (starting fresh):

  1. comment out the 4 jupyter lines in environment.yml
  2. run conda env update
  3. manually install the packages that weren’t installed (mkl-random, cython, etc)
  4. manually install the 4 jupyter packages that you commented out.

That should work.

My guess is something’s up with the jupyter_contrib_nbextensions package (which btw you install via: conda install -c conda-forge jupyter_contrib_nbextensions).


FastAi installation problem
Issues with 'conda env update'
Wiki thread: lesson 1
(Tom Johannes) #5

Process described above works. Thanks to you and the original thread poster.


(Jeremy Howard) #7

Thanks for the detective work!

I’ve commented out jupyter_contrib_nbextensions for now. Let me know if that helps. I don’t think the issue here is with our repo, but seems to be upstream.


(max) #8

Hey, for me it seems that the problem is not with the jupyter_contrib_nbextensions.
https://github.com/jupyter/notebook/pull/4036 is where i get the problem.
Any suggestions?


(Jeremy Howard) #9

Well spotted. I’ve removed all the jupyter deps now, and added a comment to that github page.


(max) #10

I am pretty new to all of the echo system of jupyter so it great if you could post a link to the github page that the bug is in.
Or even better the commit itself that made it.
Thanks


(Srinivas Raman) #11

Thanks for the help with this issue and the (hopefully) temporary fix. Appreciate the help so we
can continue our learning journey!!


(max) #12

Update: It seems like there is a problem with the current of nbconvert or its dependencies that
anaconda installs.
For some reason it breaks pip after you install it with conda install
I have found a work around and I just installed the package with pip.

see https://github.com/jupyter/notebook/pull/4036/commits/4c1d62f3b21af6f139d8396081578d0c1646a632

Cheers


#13

I just tried to get started today with a brand new Paperspace instance. I did a git pull first, but conda env update continues to give similar errors to what others have seen:

Exception:
Traceback (most recent call last):
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2862, in _dep_map
return self.__dep_map
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2669, in getattr
raise AttributeError(attr)
AttributeError: _DistInfoDistribution__dep_map

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/packaging/requirements.py”, line 93, in init
req = REQUIREMENT.parseString(requirement_string)
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pyparsing.py”, line 1632, in parseString
raise exc
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pyparsing.py”, line 1622, in parseString
loc, tokens = self._parse( instring, 0 )
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pyparsing.py”, line 1379, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pyparsing.py”, line 3395, in parseImpl
loc, exprtokens = e._parse( instring, loc, doActions )
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pyparsing.py”, line 1383, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pyparsing.py”, line 3183, in parseImpl
raise ParseException(instring, loc, self.errmsg, self)
pip._vendor.pyparsing.ParseException: Expected stringEnd (at char 33), (line:1, col:34)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2942, in init
super(Requirement, self).init(requirement_string)
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/packaging/requirements.py”, line 97, in init
requirement_string[e.loc:e.loc + 8]))
pip._vendor.packaging.requirements.InvalidRequirement: Invalid requirement, parse error at “’; extra '”

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_internal/basecommand.py”, line 228, in main
status = self.run(options, args)
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_internal/commands/install.py”, line 291, in run
resolver.resolve(requirement_set)
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_internal/resolve.py”, line 103, in resolve
self._resolve_one(requirement_set, req)
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_internal/resolve.py”, line 307, in _resolve_one
set(req_to_install.extras) - set(dist.extras)
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2819, in extras
return [dep for dep in self._dep_map if dep]
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2864, in _dep_map
self.__dep_map = self._compute_dependencies()
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2874, in _compute_dependencies
reqs.extend(parse_requirements(req))
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2935, in parse_requirements
yield Requirement(line)
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2944, in init
raise RequirementParseError(str(e))
pip._vendor.pkg_resources.RequirementParseError: Invalid requirement, parse error at “’; extra '”

The jupyter lines are commented out in environment.yml.

Any suggestions for how to get this running?


(Faisal Ilaiwi) #14

facing the same issue now. The lines in enviroment.yml are commented out but condo env update still fails.


(Nafiseh Salmaniniyasar) #16

hey,
I noticed the environment.yml has all Jupiter related line commented, but still with conda env update I get the same issue. Any solution for this?


(Kerem Turgutlu) #17

I uncommented jupyter deps and only commented pip installs and installed them manually from conda, it worked. But none of the other solutions I read so far seemed to work for me. Ubuntu 18.04 on AWS.

Edit: Still I got some issues with the above approach. So I ended up launching a Ubuntu 16.04 instance and downgrading ‘testpath’ regarding https://github.com/conda-forge/testpath-feedstock/issues/7. Now conda env update works without any disturbance and additional need of commenting out. You may change it to testpath<0.4.


(Maziyar) #18

The problem I have after update is the following :
It seems that I can Update butI have activation problem and for now I have no fastai on my Notebook on Paperspace.

I get the error:

to activate this envirounment use:
source activate fastai

and when I tray to run this command I get the following error:

source: not found

after some searches I tried :

conda activate fastai

I also get error:

CommandNotFoundError: Your shell has not been properly configured to use 'conda activate'.
If your shell is Bash or a Bourne variant, enable conda for the current user with

$ echo ". /opt/conda/etc/profile.d/conda.sh" >> ~/.bashrc

or, for all users, enable conda with

$ sudo ln -s /opt/conda/etc/profile.d/conda.sh /etc/profile.d/conda.sh

The options above will permanently enable the 'conda' command, but they do NOT
put conda's base (root) environment on PATH. To do so, run

$ conda activate

in your terminal, or to put the base environment on PATH permanently, run

$ echo "conda activate" >> ~/.bashrc

Previous to conda 4.4, the recommended way to activate conda was to modify PATH in
your ~/.bashrc file. You should manually remove the line that looks like

export PATH="/opt/conda/bin:$PATH"

after trying all the above mentioned command I still cget the same error as above after running the command.

I also tried:

activate conda

and it also give me the error:

/bin/sh: 8: activate: Permission denied

P.S. I use Paperspace
any help is appreciated


Cannot run jupyter notebook after setup
(David Henderson) #19

Hey, just to double check that you have the fastai environment listed by typing in “conda info --envs” . Also what happens if you type in “type -a source”?


(Jeremy Howard) #20

Apparently the latest testpath is fixed, so I’ve just modified environment.yml to require it. Let me know if that fixes the issue.


(Maziyar) #21

Hi Jeremy. I get the following error now:

# conda env update
Solving environment: failed

ResolvePackageNotFound:
- testpath[version='>=0.4.2']


(Maziyar) #22

here are the results:

$ conda info --envs

$ conda environments:

base * /opt/conda
fastai /opt/conda/envs/fastai

#############

$ type -a source
-a: not found
source: not found

both of them run from root directory where environment.yml is located